Name:           time
Version:        1.9
Release:        10
Summary:        Monitoring the system resources used by running program
License:        GPLv3+ and GFDL-1.3-or-later
URL:            http://www.gnu.org/software/%{name}/
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:         add-help-opt.patch
Patch1:         time-1.9-sw.patch

BuildRequires:  autoconf automake bash coreutils gcc make texinfo sed

%description
This package runs another program and displays information
about the resources used by that program. The information is
collected by the system while the program was running.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install

%check
make check %{?_smp_mflags}

%files
%license COPYING AUTHORS
%{_bindir}/time
%exclude %{_infodir}/dir

%files help
%doc ChangeLog NEWS README
%{_infodir}/time.info*

%changelog
* Wed Jul 20 2022 wuzx<wuzx1226@qq.com> - 1.9-10
- add sw64 patch

* Sun May 29 2022 lijian <lijian2@kylinos.cn> - 1.9-9
- License compliance rectification

* Tue Mar 22 2022 Lv Genggeng <lvgenggeng@uniontech.com> - 1.9-8
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: add help opt in cmdline

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.9-7
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Wed Aug 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9-6
- Package init
